//+------------------------------------------------------------------+
//|                                         Multipaire Indicator.mq4 |
//|                      Copyright  2010, MetaQuotes Software Corp. |
//|                                   http://wallstreetfx.comze.com/ |
//+------------------------------------------------------------------+
#property copyright "Damien S"
#property link      "http://wallstreetfx.comze.com/"

#property indicator_separate_window
#property indicator_buffers 8
#property indicator_color1 Green
#property indicator_color2 Red
#property indicator_color3 Red
#property indicator_color4 Red
#property indicator_color5 Red
#property indicator_color6 Red
#property indicator_color7 Red
#property indicator_color8 Red

extern string paire = "EURUSD";
extern int Time_Frime = 0;
extern string SAR_ou_MA ="SAR";
extern double    Step=0.02;
extern double    Maximum=0.2;
extern int ma_prd= 20;

extern color up =Green;
extern color down = Red;
extern color fond = Black;

extern int corps=2;
extern int meches=1;



double UU[];
double DD[];
double Back[];
double meche_up[];
double meche_back[];
double meche_down[];
double meche_back2[];
double sar[];

int init()
{
   IndicatorShortName("instrument");
   SetIndexStyle(0,DRAW_HISTOGRAM,0,corps,up);
   SetIndexBuffer(0,UU);
   SetIndexStyle(1,DRAW_HISTOGRAM,0,corps,down);
   SetIndexBuffer(1,DD);
   SetIndexStyle(2,DRAW_HISTOGRAM,0,corps,fond);
   SetIndexBuffer(2,Back);
   SetIndexStyle(3,DRAW_HISTOGRAM,0,meches,up);
   SetIndexBuffer(3,meche_up);
   SetIndexStyle(4,DRAW_HISTOGRAM,0,meches,fond);
   SetIndexBuffer(4,meche_back);
   SetIndexStyle(5,DRAW_HISTOGRAM,0,meches,down);
   SetIndexBuffer(5,meche_down);
   SetIndexStyle(6,DRAW_HISTOGRAM,0,meches,fond);
   SetIndexBuffer(6,meche_back2);
   SetIndexStyle(7,DRAW_ARROW,0,0);
   SetIndexArrow(7,159);
   SetIndexBuffer(7,sar);


   return(0);
}

void start()
{
   
 int limit;
 int counted_bars=IndicatorCounted();
 if(counted_bars>0) counted_bars--;
 limit=Bars-counted_bars;
 double open,close;


   
   for(int i=0; i<limit; i++)
   {


      // Pr construction
       
        meche_back[i]    = iLow(paire,Time_Frime,i);
        meche_back2[i]   = iLow(paire,Time_Frime,i);
        open             = iOpen(paire,Time_Frime,i) ; 
        close            = iClose(paire,Time_Frime,i);
      
                                                        
     //finalisation et conditions pour les couleurs
          
      if (open<close)        UU[i]          = iClose(paire,Time_Frime,i);
      if (close<open)        DD[i]          = iOpen(paire,Time_Frime,i);    
      if (close<open)        Back [i]       = iClose(paire,Time_Frime,i) ; 
      if (open<close)        Back [i]       = iOpen(paire,Time_Frime,i) ; 
      if (open<close)        meche_up[i]    = iHigh(paire,Time_Frime,i);
      if (close<open)        meche_down [i] = iHigh(paire,Time_Frime,i) ; 
      if (SAR_ou_MA == "SAR")  sar[i]       = iSAR(paire,Time_Frime,Step,Maximum,i);
      if (SAR_ou_MA == "MA")   sar[i]       = iMA(paire,Time_Frime,ma_prd,0,MODE_SMA,PRICE_CLOSE,i);
      
      
      // dfinition du style sar et ma
      
       if (SAR_ou_MA == "MA")  SetIndexStyle(7,DRAW_LINE);
                               SetIndexBuffer(7,sar)  ;    
                            
       if (SAR_ou_MA == "SAR") SetIndexStyle(7,DRAW_ARROW,0,0);
                               SetIndexArrow(7,159);
                               SetIndexBuffer(7,sar);
                                      
                                                                              
                     
   }
}


